### Method

# ECal ComponentAlarm free

since: 3.34

#### Declaration [src]

    void
    e_cal_component_alarm_free (
      ECalComponentAlarm* alarm
    )

#### Description [src]

Free `alarm`, previously created by e_cal_component_alarm_new(), `e_cal_component_alarm_new_from_component()` or e_cal_component_alarm_copy(). The function does nothing, if `alarm` is `NULL`.

Available since: 3.34

This method is not directly available to language bindings.

#### Parameters

`alarm`

  Type: `ECalComponentAlarm`

  An `ECalComponentAlarm` to free.

  The argument can be `NULL`.